Subject: Re: Entering Characters during sleep !
From: [email-masked] (Christopher G. Faylor)

21 May 1998 15:36:45 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Christopher G. Faylor <[email-masked]> wrote:
>>Hi everyone,
>>
>>I have encountered a problem while running a program which do sleep 
>>before prompting for input.
>>All the input characters that are entered during this time are not
>>entered into the input buffer so it is as I didn't enter them at all.
>>
>>I have this small code which illustrates this problem.
>>This problem doesn't happen neither on UNIX nor on MSVC.
>>P.S. Instead of doing sleep I entered a big loop and it acted the same.
>>
>>Any ideas ?
>
>I think it's a bug.  I've been puzzling over some code in cygwin
>that explicitly flushes the input buffer prior to every standard read.
>I've taken it out now.  It should make it into B19.2 unless someone points out
>some actual need for it.

Btw, CYGWIN32=tty should work around this.

cgf
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada